GET /admin/oauth
GET https://example.com/admin/oauth
Description
Returns whether OAuth is enabled, the setting of the OAuth enabled / OAuth disabled switch on the Security Profiles page of the admin portal. A new installation starts with OAuth disabled. See Enable OAuth.
Examples
The following sample returns the OAuth setting.
# Request:
curl GET 'https://trial.dsserver.io/admin/oauth' \
'Authorization: Basic YWRtaW46YWRtaW5hZG1pbg=='
# Result:
{
"active": true
}
Authorization
This endpoint supports the Basic authorization method:
Basic
| Header field | Description |
|---|---|
| Authorization | The username "admin" and your admin password are combined into a string separated by a colon, e.g.: admin:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space i.e. "Basic " is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l |
Success Response
| Status | Description |
|---|---|
| 200 | On success, the HTTP status code in the response header is 200 (OK). The return value is a JSON object whose active field is true, if OAuth is enabled, and false, if it is disabled. |
Error Response
| Status | Description |
|---|---|
| 401 | A 401 (Unauthorized) is returned, if the user is not authorized. |